package io.renren.modules.app.service;

import com.baomidou.mybatisplus.service.IService;
import com.github.pagehelper.PageInfo;

import io.renren.common.utils.R;
import io.renren.modules.app.entity.HKmyeEntity;
import io.renren.modules.app.entity.HPzEntity;
import io.renren.modules.app.entity.HYtlxbEntity;
import io.renren.modules.app.entity.YwpzEntity;

import java.util.List;
import java.util.Map;

/**
 * 凭证
 *
 * @author ly
 * @email 1271428398@qq.com
 * @date 2019-06-13 09:49:49
 */
public interface HPzService extends IService<HPzEntity> {

	/**
	 * 分页模糊查询
	 * 
	 * @param pageNum
	 * @param pageSize
	 * @param hPzEntity
	 * @return
	 */
	PageInfo<YwpzEntity> queryByPageDWPZ(Integer pageNum, Integer pageSize, YwpzEntity ywpzEntity);

	PageInfo<YwpzEntity> queryByPageGRPZ(Integer pageNum, Integer pageSize, YwpzEntity ywpzEntity);
	
	PageInfo<YwpzEntity> queryByPageTKPZ(Integer pageNum, Integer pageSize, YwpzEntity ywpzEntity);

	PageInfo<YwpzEntity> queryByPageGGSYFTPZ(Integer pageNum, Integer pageSize, YwpzEntity ywpzEntity);

	PageInfo<HPzEntity> queryByPagePZCX(Integer pageNum, Integer pageSize, HPzEntity hPzEntity);

	PageInfo<HPzEntity> queryByPagePZSH(Integer pageNum, Integer pageSize, HPzEntity hPzEntity);
	
	PageInfo<HPzEntity> queryByPagePZJZ(Integer pageNum, Integer pageSize, HPzEntity hPzEntity);
	
	PageInfo<YwpzEntity> queryByPageZQPZSC(Integer pageNum, Integer pageSize, YwpzEntity ywpzEntity);
	
	PageInfo<HYtlxbEntity> queryByPageYTLX(Integer pageNum, Integer pageSize, YwpzEntity ywpzEntity);

	R insertDWPZSC(YwpzEntity ywpzEntity);

	R insertGRPZSC(YwpzEntity ywpzEntity);
	
	R insertTKPZSC(YwpzEntity ywpzEntity);

	R insertGGSYFTPZSC(YwpzEntity ywpzEntity);
	
	R insertZQPZSC(YwpzEntity ywpzEntity);

	List<HPzEntity> insertPZLR(YwpzEntity ywpzEntity);
	
	R PZXGBC(List<HPzEntity> list);

	R deletePZ(List<HPzEntity> hPzEntities);

	List<HPzEntity> PZHZCX(HPzEntity hPzEntity);

	List<HPzEntity> PZSHXQ(HPzEntity hPzEntity);
	
	List<HPzEntity> PZSHXQPL(HPzEntity hPzEntity);
	
	List<HPzEntity> PZSHXQPL2(HPzEntity hPzEntity);
	
	R PZSH(YwpzEntity ywpzEntity);
	
	R PZQXSH(YwpzEntity ywpzEntity);
	
	R PZJZ(YwpzEntity ywpzEntity);
	
	R PZQXJZ(YwpzEntity ywpzEntity);
	
	List<HPzEntity> PZCXMSD(HPzEntity hPzEntity);
	
	PageInfo<YwpzEntity> queryByPagePZCZ(Integer pageNum, Integer pageSize, YwpzEntity ywpzEntity);
	
	YwpzEntity selectdw(String id);
	
	YwpzEntity selectdwzck(String id);
	
	void PZHCZ(HPzEntity hPzEntity);
	
	void PZRQGSGB();
	
	List<HPzEntity> selectjzsr(YwpzEntity ywpzEntity);
	
	List<HPzEntity> selectjzzc(YwpzEntity ywpzEntity);
	
	void insertCWJZSZPZ(YwpzEntity ywpzEntity);
	
	int selectytlx(YwpzEntity ywpzEntity);
	
	HYtlxbEntity selectjxrq(YwpzEntity ywpzEntity);
	
	HYtlxbEntity selectytxx(String id);
	
	void insertCWYTLXPZSC(YwpzEntity ywpzEntity);
	
	String selectztbmbykjqj(HPzEntity hPzEntity);
	
	List<YwpzEntity> selectbbtjszb(String kjqj);
	
	List<YwpzEntity> selectbbtjjzcbdb(String kjqj);
	
	int QMJZ(HPzEntity hPzEntity);
	
	List<HKmyeEntity> YJQQMJZ(HKmyeEntity hKmyeEntity);
}
